package net.t2code.commandguiv2.Spigot.config.config;

import net.t2code.commandguiv2.Spigot.Main;
import net.t2code.commandguiv2.Util;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import net.t2code.t2codelib.SPIGOT.api.yaml.T2Cconfig;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;

public class ConfigSelect {

    public static void selectConfig() {
        File config = new File(Main.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);
        for (Config value : Config.values()) {
            T2Cconfig.set(value.path, value.value, yamlConfiguration);
            value.value = T2Cconfig.selectObject(String.valueOf(Config.messagesPrefix.value), value.path, yamlConfiguration);
        }

        try {
            yamlConfiguration.save(config);
        } catch (
                IOException e) {
            e.printStackTrace();
        }
        T2Csend.console(Util.getPrefix() + " §2Config was loaded successfully.");
    }
}
